using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VideoCloop
{
    public partial class frmTypeProduct : Form
    {
        public frmTypeProduct()
        {
            InitializeComponent();
        }

        private void frmTypeProduct_Load(object sender, EventArgs e)
        {
            Udf_FillGrid();
        }
        private void Udf_FillGrid()
        {
            Lsc_VideoClubDataContext db = new Lsc_VideoClubDataContext();
            var Query = from Row in db.tblTypeProducts 
                        select Row;
            Dg_TypeProduct.DataSource = Query;
            Dg_TypeProduct.Columns[1].HeaderText = "ردیف";
            Dg_TypeProduct.Columns[0].HeaderText = "نوع";

        }

        private void Btn_Insert_Click(object sender, EventArgs e)
        {

            try
            {
                Lsc_VideoClubDataContext db = new Lsc_VideoClubDataContext();
                tblTypeProduct  add = new tblTypeProduct ();
                add.Type = Txt_TypeProduct.Text;
                db.tblTypeProducts .InsertOnSubmit(add);
                db.SubmitChanges();
                MessageBox.Show("عملیات درج انجام شد!");
                Udf_FillGrid();
            }
            catch (Exception ex)
            {
                MessageBox.Show("عملیات درج انجام نشد!");
            }
        }

        private void Btn_Delete_Click(object sender, EventArgs e)
        {
            try
            {
                Lsc_VideoClubDataContext db = new Lsc_VideoClubDataContext();
                tblTypeProduct  DelTbl = db.tblTypeProducts .SingleOrDefault(n => n.TypeId  == Decimal.Parse(Dg_TypeProduct.CurrentRow.Cells[1].Value.ToString()));
                DialogResult result = MessageBox.Show("آیا شما می خواهیدنوع محصول باشماره" + DelTbl.TypeId + "راحذف نمایید", "اخطار", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button1);
                if (result == DialogResult.OK)
                {
                    db.tblTypeProducts .DeleteOnSubmit(DelTbl);
                    db.SubmitChanges();
                    MessageBox.Show("عملیات  حذف انجام شد!");
                }
                Udf_FillGrid();
            }
            catch
            {
                MessageBox.Show("اشکالی در حذف رکورد پیش آمده است");
            }
        }

        private void Dg_TypeFilm_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            Lsc_VideoClubDataContext db = new Lsc_VideoClubDataContext();

            Int32 selectedCellCount = Dg_TypeProduct.GetCellCount(DataGridViewElementStates.Selected);

            if (selectedCellCount > 0)
            {
                if (Dg_TypeProduct.AreAllCellsSelected(true))
                {
                    MessageBox.Show("لطفاسلول از سطر مورد نظر راانتخاب نماييد!", "Selected Cells");
                }
                else
                {

                    for (int i = 0; i < selectedCellCount; i++)
                    {

                        Txt_TypeProduct.Text = Dg_TypeProduct.Rows[int.Parse(Dg_TypeProduct.SelectedCells[i].RowIndex.ToString())].Cells[0].Value.ToString();

                    }
                }
            }
        }

        private void Btn_Update_Click(object sender, EventArgs e)
        {
            try
            {
                Lsc_VideoClubDataContext db = new Lsc_VideoClubDataContext();
                tblTypeProduct UpdateTbl = db.tblTypeProducts.Single(n => n.TypeId == int.Parse(Dg_TypeProduct.CurrentRow.Cells[1].Value.ToString()));
                UpdateTbl.Type  = Txt_TypeProduct .Text;
                db.SubmitChanges();
                MessageBox.Show("رکورد مورد نظر ویرایش شد");
                Udf_FillGrid();

            }
            catch (Exception ex)
            {
                MessageBox.Show("اشکالی در ویرایش رکورد پیش آمده است");
            }
        }
    }
}
